Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic
Class BasicQuery.ExpressionCompilerProvider

    java.lang.Object
      org.apache.slide.search.basic.BasicQuery.ExpressionCompilerProvider

All Implemented Interfaces:
  IBasicExpressionCompilerProvider

Enclosing class:
  BasicQuery

public static class BasicQuery.ExpressionCompilerProvider
extends java.lang.Object
implements IBasicExpressionCompilerProvider

This IBasicExpressionCompilerProvider implementation returns a BasicQueryCompiler instance in method getCompiler().

Version:
  $Revision: 1.21 $

Constructor Summary
`BasicQuery.ExpressionCompilerProvider()`

Method Summary
`IBasicExpressionCompiler` | `getCompiler(IBasicQuery query, PropertyProvider propertyProvider)` Returns an IBasicExpressionCompiler for the given parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicQuery.ExpressionCompilerProvider

    public BasicQuery.ExpressionCompilerProvider()

Method Detail

### getCompiler

    public IBasicExpressionCompiler getCompiler(IBasicQuery query,
                                                PropertyProvider propertyProvider)
                                         throws BadQueryException

  Returns an IBasicExpressionCompiler for the given parameters.

  Specified by:
    `getCompiler` in interface `IBasicExpressionCompilerProvider`
  Parameters:
    `query` - the IBasicQuery.
    `propertyProvider` - the PropertyProvider to use (may be `null`).
  Returns:
    an IBasicExpressionCompiler for the given parameters.
  Throws:
    `BadQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD